Subject: Re: [PATCH v3 3/7] i18n: Rewrite gettext messages start with dash

From: Stefano Lattarini <[email-masked]>
Date: Tue, 24 Jul 2012 11:44:23 +0200

On 07/24/2012 08:59 AM, Jiang Xin wrote:
> Gettext message in a shell script should not start with '-', one
>
I think using a semicolon instead of a comma after "one" here would
be clearer.

> workaround is adding '--' between gettext and the message, like:
> 
>     gettext -- "--exec option ..."
> 
> But due to a bug in the xgettext extraction, xgettext can not
> extract the actual message for this case. Rewriting the message
> is a simpler and better solution.
> 

Regards,
  Stefano